[arch-commits] Commit in xalan-java/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Aug 2 10:55:40 EDT 2008


    Date: Saturday, August 2, 2008 @ 10:55:32
  Author: jgc
Revision: 7493

Merged revisions 2-7492 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xalan-java/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r7429 | andyrtr | 2008-08-01 20:04:15 +0000 (Fri, 01 Aug 2008) | 1 line
  
  upgpkg: xalan-java 2.7.1-1
........
  r7492 | jgc | 2008-08-02 14:54:58 +0000 (Sat, 02 Aug 2008) | 2 lines
  
  upgpkg: xalan-java 2.7.1-2
      Remove file conflicts with xerces
........

Modified:
  xalan-java/repos/extra-x86_64/	(properties)
  xalan-java/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)


Property changes on: xalan-java/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xalan-java/trunk:1
   + /xalan-java/trunk:1-7492

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-02 14:54:58 UTC (rev 7492)
+++ extra-x86_64/PKGBUILD	2008-08-02 14:55:32 UTC (rev 7493)
@@ -1,17 +1,21 @@
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=xalan-java
-pkgver=2.7.0
+pkgver=2.7.1
 pkgrel=2
-pkgdesc="Xalan-Java is an XSLT processor for transforming XML documents into HTML, text, or other XML document types."
+pkgdesc="XSLT processor for transforming XML documents into HTML, text, or other XML document types"
 arch=('i686' 'x86_64')
-depends=()
-makedepends=('tar')
-source=(http://www.apache.org/dist/xml/xalan-j/xalan-j_${pkgver//./_}-bin.tar.gz )
+license=('APACHE')
 url="http://xml.apache.org/xalan-j"
-md5sums=('d526d0848c88607ce4e3a0a4edb75d50')
+depends=('xerces2-java')
+source=(http://www.apache.org/dist/xml/xalan-j/xalan-j_${pkgver//./_}-bin-2jars.tar.gz)
+md5sums=('3ccda39bcd08b780436dfd2f22fb23d5')
 
 build() {
-  mkdir -p ${startdir}/pkg/usr/share/java
-  install -m644 ${startdir}/src/xalan-j_${pkgver//./_}/*.jar ${startdir}/pkg/usr/share/java/
+  cd ${srcdir}/xalan-j_${pkgver//./_}
+  install -m755 -d ${pkgdir}/usr/share/java
+  install -m644 xalan.jar ${pkgdir}/usr/share/java/ || return 1
+  install -m644 xsltc.jar ${pkgdir}/usr/share/java/ || return 1
 }




More information about the arch-commits mailing list